(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6151,        183]
NotebookOptionsPosition[      5757,        167]
NotebookOutlinePosition[      6199,        184]
CellTagsIndexPosition[      6156,        181]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", 
   RowBox[{"x", ",", "y", ",", "z"}], "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "4000"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"k", " ", "40."}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"k", " ", "40"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"n", "=", "300"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Psi]", "=", 
   RowBox[{
    SuperscriptBox["x", "n"], "+", 
    SuperscriptBox["y", "n"]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zgoal", "=", 
   RadicalBox["\[Psi]", "n"]}], ";"}]}], "Input",
 CellChangeTimes->{{3.499702279852539*^9, 3.499702300243164*^9}, 
   3.499702333836914*^9, {3.499702376977539*^9, 3.4997025822597656`*^9}, {
   3.4997033704941406`*^9, 3.4997034482910156`*^9}, {3.4997035577910156`*^9, 
   3.4997035653535156`*^9}, {3.4997036261191406`*^9, 
   3.4997037686035156`*^9}, {3.4997038767753906`*^9, 
   3.4997038850722656`*^9}, {3.4997054926035156`*^9, 
   3.4997055441816406`*^9}, {3.4997057783378906`*^9, 
   3.4997057830566406`*^9}, {3.4997060301523438`*^9, 3.4997060578867188`*^9}, 
   3.4997060899960938`*^9, {3.4997061601523438`*^9, 3.4997062251210938`*^9}, 
   3.4997066061523438`*^9, 3.4997066457929688`*^9, {3.4997067669648438`*^9, 
   3.4997067868554688`*^9}, {3.4997069239492188`*^9, 
   3.4997069527617188`*^9}, {3.4997073245273438`*^9, 
   3.4997073262617188`*^9}, {3.4997074210585938`*^9, 
   3.4997074212929688`*^9}, {3.4997075278398438`*^9, 3.4997075543242188`*^9}, 
   3.4997079238867188`*^9, {3.499758363265625*^9, 3.49975837246875*^9}, {
   3.4997656314375*^9, 3.499765639265625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"iter", "[", "z_", "]"}], ":=", 
  RowBox[{"z", "+", 
   FractionBox[
    RowBox[{"\[Psi]", "-", 
     SuperscriptBox["z", "n"]}], 
    RowBox[{
     SuperscriptBox["z", 
      RowBox[{"n", "-", "1"}]], "n"}]]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"vzs", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{"iter", ",", "x", ",", "10"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltasz", "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"vzs", "-", "zgoal"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"deltasf", "=", 
   RowBox[{"Abs", "[", 
    RowBox[{"vzs", "-", 
     RowBox[{"Round", "[", "vzs", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListLogPlot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"deltasz", ",", "deltasf"}], "}"}], ",", 
   RowBox[{"Joined", "\[Rule]", "True"}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Evaluate", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"Thick", ",", "#"}], "}"}], "&"}], "/@", 
      RowBox[{"{", 
       RowBox[{"Red", ",", "Blue"}], "}"}]}], "]"}]}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "All"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<iterace\>\"", ",", "\"\<\>\""}], "}"}]}], ",", 
   RowBox[{"PlotLabel", "->", "\"\<    \!\(\*
StyleBox[\"Abs\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"z\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"i\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"-\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"z\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"\[Infinity]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[1, 0, 0]]\)  ,  \!\(\*
StyleBox[\"Abs\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"z\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"i\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"-\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"Round\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"z\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"[\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"i\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)\!\(\*
StyleBox[\"]\",
FontColor->RGBColor[0, 0, 1]]\)  \>\""}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.4997031511816406`*^9, 3.4997031675097656`*^9}, {
   3.4997032033066406`*^9, 3.4997033433535156`*^9}, {3.4997034609472656`*^9, 
   3.4997035320878906`*^9}, {3.4997035840253906`*^9, 
   3.4997036066816406`*^9}, {3.4997046424941406`*^9, 
   3.4997048688222656`*^9}, {3.4997049003691406`*^9, 
   3.4997049213691406`*^9}, {3.4997049535722656`*^9, 
   3.4997049908378906`*^9}, {3.4997051161660156`*^9, 
   3.4997051591660156`*^9}, {3.4997058409472656`*^9, 3.4997058724023438`*^9}, 
   3.4997064724023438`*^9, {3.499758292078125*^9, 3.49975840271875*^9}, {
   3.499758439859375*^9, 3.4997585254375*^9}}]
},
WindowSize->{981, 685},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 1721, 37, 211, "Input"],
Cell[2269, 59, 3484, 106, 265, "Input"]
}
]
*)

(* End of internal cache information *)
