(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     13784,        402]
NotebookOptionsPosition[     13012,        375]
NotebookOutlinePosition[     13476,        394]
CellTagsIndexPosition[     13433,        391]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.528872902265625*^9, 3.528872915515625*^9}, {
  3.5288739844375*^9, 3.52887400596875*^9}}],

Cell[TextData[{
 "Budtez a a b posloupnosti definovane a(0)=\[Pi],  b(0)=\[ExponentialE] a \
a(n+1)=",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 "*mod(a(n),\[ExponentialE]) a \nb(n+1)=",
 Cell[BoxData[
  FormBox[
   SqrtBox["2"], TraditionalForm]]],
 "*mod(b(n),\[Pi]). Zobrazte body (x=a(i),y=b(i)), i=1,2,..10000 a obarvete \
je tak, ze barva je prostou funkci i (tedy iterace, poradi).\nGraf \
vyexportujte ve formatu .png do adresare, kde hnizdi notebook.\n"
}], "Text",
 CellChangeTimes->{{3.528874999265625*^9, 3.5288751528125*^9}, {
  3.52887518859375*^9, 3.528875318*^9}, {3.528947945375*^9, 
  3.52894797459375*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "a", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"start", "=", 
   RowBox[{"{", 
    RowBox[{"Pi", ",", "E"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "0", "]"}], "=", "start"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"a", "[", "n_", "]"}], ":=", 
   RowBox[{
    RowBox[{"a", "[", "n", "]"}], "=", 
    RowBox[{"Mod", "[", 
     RowBox[{
      RowBox[{
       SqrtBox["2."], "*", 
       RowBox[{"a", "[", 
        RowBox[{"n", "-", "1"}], "]"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"E", ",", "Pi"}], "}"}]}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nmax", "=", "500"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pla", "=", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Graphics", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"PointSize", "[", "0.005", "]"}], ",", 
         RowBox[{"Hue", "[", 
          FractionBox["#", 
           RowBox[{"nmax", "+", "1."}]], "]"}], ",", 
         RowBox[{"Point", "[", 
          RowBox[{"a", "[", "#", "]"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
     RowBox[{"Range", "[", "nmax", "]"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<pla.png\>\"", ",", "pla", ",", 
    RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}], 
  ";"}], "\n"}], "Input",
 CellChangeTimes->{{3.528873072390625*^9, 3.528873170578125*^9}, {
   3.52887327128125*^9, 3.528873310796875*^9}, {3.528873370921875*^9, 
   3.52887342021875*^9}, {3.52887348603125*^9, 3.52887349875*^9}, {
   3.528873608125*^9, 3.52887381890625*^9}, {3.528873854859375*^9, 
   3.528873903984375*^9}, {3.528873935015625*^9, 3.528874019890625*^9}, {
   3.528874070765625*^9, 3.528874071125*^9}, 3.5288741448125*^9, {
   3.5288741914375*^9, 3.528874227765625*^9}, {3.528874321625*^9, 
   3.52887433040625*^9}, {3.528874911453125*^9, 3.5288749131875*^9}, {
   3.528875512125*^9, 3.5288755235*^9}, {3.528947926765625*^9, 
   3.52894794165625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"points", "=", 
   RowBox[{"NestList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Mod", "[", 
       RowBox[{
        RowBox[{
         SqrtBox["2."], "*", "#"}], ",", 
        RowBox[{"{", 
         RowBox[{"E", ",", "Pi"}], "}"}]}], "]"}], "&"}], ",", "start", ",", 
     RowBox[{"nmax", "-", "1"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Export", "[", 
   RowBox[{"\"\<pla.png\>\"", ",", 
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"Graphics", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"PointSize", "[", "0.005", "]"}], ",", 
          RowBox[{"Hue", "[", 
           FractionBox["#", 
            RowBox[{"nmax", "+", "1."}]], "]"}], ",", 
          RowBox[{"Point", "[", 
           RowBox[{"points", "[", 
            RowBox[{"[", "#", "]"}], "]"}], "]"}]}], "}"}], "]"}], "&"}], "/@", 
      RowBox[{"Range", "[", "nmax", "]"}]}], "]"}], ",", 
    RowBox[{"ImageResolution", "\[Rule]", "300"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.528874407203125*^9, 3.528874407296875*^9}, {
  3.52887448825*^9, 3.528874540625*^9}, {3.52887460990625*^9, 
  3.5288747195625*^9}, {3.528874771453125*^9, 3.528874889515625*^9}, {
  3.52887493384375*^9, 3.52887493775*^9}, {3.52887553021875*^9, 
  3.528875569875*^9}, {3.5288756071875*^9, 3.528875639828125*^9}, {
  3.5288757759375*^9, 3.528875777*^9}}],

Cell[TextData[{
 "\nJake cifcry se vyskytuji vedle dvojky v zapisu cisla \[Pi] na 50 \
destinnych mist? Vysledek at odpovi ",
 StyleBox["Mathematica",
  FontSlant->"Italic"],
 " pomoci Print. Napoveda: ",
 Cell[BoxData[
  FormBox[
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"Round", "[", 
     RowBox[{"\[Pi]", "*", 
      SuperscriptBox["10", "50"]}]}]}], TraditionalForm]]],
 "]] a napr. Partition se tremi parametry a Cases..."
}], "Text",
 CellChangeTimes->{
  3.5288768529375*^9, {3.528876913140625*^9, 3.528876980421875*^9}, {
   3.528877042859375*^9, 3.528877152546875*^9}, {3.52887721040625*^9, 
   3.5288772218125*^9}, {3.52887829709375*^9, 3.5288783135*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"nd", "=", "50"}], ";"}], 
  RowBox[{"(*", 
   RowBox[{"kolik", " ", "chci", " ", "desetinnych", " ", "mist"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cifry", "=", 
   RowBox[{"IntegerDigits", "[", 
    RowBox[{"Round", "[", 
     RowBox[{
      SuperscriptBox["10", "nd"], "*", "Pi"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Union", "@", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Cases", "[", 
     RowBox[{
      RowBox[{"Partition", "[", 
       RowBox[{"cifry", ",", "3", ",", "1"}], "]"}], ",", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"a_", ",", "2", ",", "b_"}], "}"}], ":>", 
       RowBox[{"{", 
        RowBox[{"a", ",", "b"}], "}"}]}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Print", "[", 
  RowBox[{"\"\<jsou tam cifry: \>\"", ",", " ", 
   RowBox[{"Sequence", "@@", "%"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.528875796375*^9, 3.52887590078125*^9}, {
  3.52887642075*^9, 3.528876454140625*^9}, {3.528876498734375*^9, 
  3.528876640828125*^9}, {3.52887671378125*^9, 3.528876910296875*^9}, {
  3.5288771591875*^9, 3.5288771870625*^9}}],

Cell[TextData[{
 "\nVytvorte z cervenych bodu graf fce ",
 Cell[BoxData[
  FormBox[
   RowBox[{"y", "=", 
    RowBox[{"0.5", "*", 
     RowBox[{"(", 
      RowBox[{"x", "+", 
       SuperscriptBox["x", "3"]}]}]}]}], TraditionalForm]],
  FormatType->"TraditionalForm"],
 ") a tento nechte otacet dokola v kladnem smyslu otaceni s moznosti volit \
rychlost otaceni."
}], "Text",
 CellChangeTimes->{{3.528879501859375*^9, 3.528879560875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"pts0", "=", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"#", ",", 
       RowBox[{
        RowBox[{"0.5", "#"}], "+", 
        RowBox[{"0.5", 
         SuperscriptBox["#", "3"]}]}]}], "}"}], "&"}], "/@", 
    RowBox[{"Range", "[", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "1", ",", "0.1"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"matrot", "[", "t_", "]"}], ":=", 
   RowBox[{"(", GridBox[{
      {
       RowBox[{"Cos", "[", "t", "]"}], 
       RowBox[{"Sin", "[", "t", "]"}]},
      {
       RowBox[{"-", 
        RowBox[{"Sin", "[", "t", "]"}]}], 
       RowBox[{"Cos", "[", "t", "]"}]}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Manipulate", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"Graphics", "[", 
         RowBox[{"{", 
          RowBox[{"Red", ",", 
           RowBox[{"Point", "[", 
            RowBox[{"#", ".", 
             RowBox[{"matrot", "[", 
              RowBox[{"t", "*", "v"}], "]"}]}], "]"}]}], "}"}], "]"}], "&"}], 
       "/@", "pts0"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{
        SqrtBox["2"], 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1"}], ",", "1"}], "}"}]}], "}"}]}]}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", 
      RowBox[{"2", "Pi"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"v", ",", "1"}], "}"}], ",", 
      RowBox[{"-", "2"}], ",", "2"}], "}"}], ",", 
    RowBox[{"ControlPlacement", "\[Rule]", "Top"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.528878327734375*^9, 3.528878343*^9}, {3.528878448125*^9,
    3.528878600203125*^9}, {3.528878782984375*^9, 3.528878792625*^9}, {
   3.528878847546875*^9, 3.52887889625*^9}, {3.52887903415625*^9, 
   3.528879041953125*^9}, {3.52887909315625*^9, 3.52887925678125*^9}, {
   3.5288793245*^9, 3.52887945075*^9}, {3.528879486046875*^9, 
   3.5288794991875*^9}, {3.52887956603125*^9, 3.5288795973125*^9}, 
   3.528947871859375*^9}],

Cell[TextData[{
 "\nNapiste funkci, ktera ma parametr rovnici jedne promenne (tedy \
objekt[[0]]==Equal) a vraci List obsahujici pravidlo dosazeni za neznamou. \
Pouzijte FindRoot, ktery at pouzije startovaci hodnotu promenne ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["10", 
     RowBox[{"-", "3"}]], ".", " "}], TraditionalForm]]],
 "Neznama muze byt cokoli typu symbol ( nepozadujeme, aby umela vyjadrit \
derivaci nebo treba ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["a", "i"], TraditionalForm]]],
 " ). Napoveda: Cases, treba Append, Module.\nVarianta pro pokrocile za vic \
bodu: ddto, ale at je mozno mit rovnic jakykoli nenulovy pocet, pripadne at \
nezname mohou byt ruznych typu atd, proste vysperkovat predchozi."
}], "Text",
 CellChangeTimes->{{3.5289491024375*^9, 3.528949202125*^9}, {
  3.528949246828125*^9, 3.528949619625*^9}, {3.528949725921875*^9, 
  3.52894973671875*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "reseni", "]"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"reseni", "[", "rce_Equal", "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", "neznama", "}"}], ",", 
      RowBox[{
       RowBox[{"neznama", "=", 
        RowBox[{"Cases", "[", 
         RowBox[{"rce", ",", "_Symbol", ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], ";", 
       RowBox[{"FindRoot", "[", 
        RowBox[{"rce", ",", 
         RowBox[{"Append", "[", 
          RowBox[{"neznama", ",", 
           SuperscriptBox["10", 
            RowBox[{"-", "3"}]]}], "]"}]}], "]"}]}]}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"reseni", "[", 
    RowBox[{
     SuperscriptBox["x", "2"], "\[Equal]", "1"}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.528948166890625*^9, 3.528948264296875*^9}, {
  3.52894840096875*^9, 3.528948471875*^9}, {3.52894854140625*^9, 
  3.528948567890625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "reseni", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"reseni", "[", "rce__Equal", "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"nezname", ",", "rces", ",", "start", ",", 
      RowBox[{"rs", "=", 
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]]}]}], "}"}], ",", 
    RowBox[{
     RowBox[{"rces", "=", 
      RowBox[{"{", "rce", "}"}]}], ";", 
     RowBox[{"nezname", "=", 
      RowBox[{"Cases", "[", 
       RowBox[{"rces", ",", "_Symbol", ",", 
        RowBox[{"{", 
         RowBox[{"0", ",", "\[Infinity]"}], "}"}]}], "]"}]}], ";", 
     RowBox[{"start", "=", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{"#", ",", "rs"}], "}"}], "&"}], "/@", "nezname"}]}], ";", 
     RowBox[{"FindRoot", "[", 
      RowBox[{"rces", ",", "start"}], "]"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"reseni", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["x", "2"], "\[Equal]", "1"}], ",", 
   RowBox[{
    SuperscriptBox["y", "2"], "==", "2"}], ",", 
   RowBox[{
    SuperscriptBox["z", "2"], "\[Equal]", "3"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5289484934375*^9, 3.528948494484375*^9}, 
   3.5289485745*^9, {3.52894861815625*^9, 3.528948813890625*^9}, {
   3.52894888415625*^9, 3.528948933078125*^9}, {3.528948975296875*^9, 
   3.528949055453125*^9}, {3.52895201915625*^9, 3.528952027640625*^9}}]
},
WindowSize->{1593, 845},
WindowMargins->{{8, Automatic}, {Automatic, 16}},
PrintingCopies->1,
PrintingPageRange->{Automatic, Automatic},
ShowSelection->True,
Magnification->1.8000001907348633`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 318, 7, 85, "Input"],
Cell[866, 29, 647, 16, 150, "Text"],
Cell[1516, 47, 2101, 56, 321, "Input"],
Cell[3620, 105, 1415, 36, 177, "Input"],
Cell[5038, 143, 671, 17, 115, "Text"],
Cell[5712, 162, 1184, 33, 152, "Input"],
Cell[6899, 197, 439, 13, 85, "Text"],
Cell[7341, 212, 2263, 68, 207, "Input"],
Cell[9607, 282, 911, 20, 203, "Text"],
Cell[10521, 304, 1040, 28, 190, "Input"],
Cell[11564, 334, 1444, 39, 158, "Input"]
}
]
*)

(* End of internal cache information *)
