(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     18106,        544]
NotebookOptionsPosition[     17390,        519]
NotebookOutlinePosition[     17792,        536]
CellTagsIndexPosition[     17749,        533]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{
    RowBox[{"\"\<FileName\>\"", "/.", "\[InvisibleSpace]", 
     RowBox[{"NotebookInformation", "[", 
      RowBox[{"EvaluationNotebook", "[", "]"}], "]"}]}], "/.", 
    "\[InvisibleSpace]", 
    RowBox[{
     RowBox[{"FrontEnd`FileName", "[", 
      RowBox[{"d_List", ",", "nam_", ",", "___"}], "]"}], "\[RuleDelayed]", 
     RowBox[{"ToFileName", "[", "d", "]"}]}]}], "]"}], ";"}]], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"d11", "=", 
   RowBox[{"<<", "\"\<d11\>\""}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d22", "=", 
   RowBox[{"<<", "\"\<d22\>\""}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.49094565725*^9, 3.490945693546875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dlin11", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"d11", ",", 
     RowBox[{
      RowBox[{"120", "<", 
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "<", "155"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UgUa11Lin", "=", 
   RowBox[{"dlin11", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"b", ",", "a"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", "UgUa11Lin", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fitLin11", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"UgUa11Lin", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "Ug"}], "}"}], ",", "Ug"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A11", "=", 
   RowBox[{"-", 
    RowBox[{"D", "[", 
     RowBox[{"fitLin11", ",", "Ug"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fit", "[", 
   RowBox[{
    RowBox[{"dlin11", "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{"c", ",", "a"}], "}"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "Ia"}], "}"}], ",", "Ia"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ra11", "=", 
   RowBox[{"-", 
    RowBox[{"D", "[", 
     RowBox[{"%", ",", "Ia"}], "]"}]}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{"dlin22", "=", 
   RowBox[{"Select", "[", 
    RowBox[{"d22", ",", 
     RowBox[{
      RowBox[{"95", "<", 
       RowBox[{"#", "[", 
        RowBox[{"[", "1", "]"}], "]"}], "<", "140"}], "&"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"UgUa22Lin", "=", 
   RowBox[{"dlin22", "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"b", ",", "a"}], "}"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ListPlot", "[", "UgUa22Lin", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fitLin22", "=", 
   RowBox[{"Fit", "[", 
    RowBox[{"UgUa22Lin", ",", 
     RowBox[{"{", 
      RowBox[{"1", ",", "Ug"}], "}"}], ",", "Ug"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A22", "=", 
   RowBox[{"-", 
    RowBox[{"D", "[", 
     RowBox[{"fitLin22", ",", "Ug"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Fit", "[", 
   RowBox[{
    RowBox[{"dlin22", "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{"c", ",", "a"}], "}"}]}]}], ",", 
    RowBox[{"{", 
     RowBox[{"1", ",", "Ia"}], "}"}], ",", "Ia"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ra22", "=", 
   RowBox[{"-", 
    RowBox[{"D", "[", 
     RowBox[{"%", ",", "Ia"}], "]"}]}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.4909464686875*^9, 3.49094653646875*^9}, {
   3.490946569671875*^9, 3.490946746734375*^9}, {3.490946890421875*^9, 
   3.49094689428125*^9}, {3.4909469708125*^9, 3.490947074421875*^9}, {
   3.49094718390625*^9, 3.490947258*^9}, {3.4909475724375*^9, 
   3.4909475885*^9}, 3.490947734453125*^9, 3.49094778503125*^9, {
   3.490947900515625*^9, 3.49094790065625*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"rceLin", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"\[Mu]Lin", "*", 
       FractionBox["Ra11", 
        RowBox[{"Ri", "+", "Ra11"}]]}], "\[Equal]", "A11"}], ",", 
     RowBox[{
      RowBox[{"\[Mu]Lin", "*", 
       FractionBox["Ra22", 
        RowBox[{"Ri", "+", "Ra22"}]]}], "\[Equal]", "A22"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"resLin", "=", 
   RowBox[{
    RowBox[{"Solve", "[", "rceLin", "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"mi0", "=", "33.8"}], ";"}]}], "Input",
 CellChangeTimes->{{3.49094778815625*^9, 3.49094788171875*^9}, {
  3.490947917359375*^9, 3.490947987703125*^9}, {3.490949441203125*^9, 
  3.490949449140625*^9}, {3.490949715203125*^9, 3.490949719640625*^9}, {
  3.490949753046875*^9, 3.4909497574375*^9}, {3.490951167453125*^9, 
  3.4909511678125*^9}, {3.4909520688125*^9, 3.490952086703125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D11", "=", 
   RowBox[{"(", 
    RowBox[{"d11", "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", "+", 
         FractionBox["a", "mi0"]}], ",", 
        RowBox[{
         SuperscriptBox["10", "3"], "c"}]}], "}"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl1", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"%", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dat1D22", "=", 
   RowBox[{"(", 
    RowBox[{"d22", "/.", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"b", "+", 
         FractionBox["a", "mi0"]}], ",", 
        RowBox[{
         SuperscriptBox["10", "3"], "c"}]}], "}"}]}]}], ")"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl2", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"%", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}]}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl1", ",", "pl2"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.490950149640625*^9, 3.490950264890625*^9}, {
  3.490950341984375*^9, 3.490950428890625*^9}, {3.490951180109375*^9, 
  3.49095119103125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"plRn", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "7"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"dat1D11", "=", 
     RowBox[{"(", 
      RowBox[{"d11", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"b", "+", 
           FractionBox["a", "\[Mu]LinTry"]}], ",", 
          RowBox[{
           SuperscriptBox["10", "3"], "c"}]}], "}"}]}]}], ")"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pl1", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dat1D11", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "plRn"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"dat1D22", "=", 
     RowBox[{"(", 
      RowBox[{"d22", "/.", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"a_", ",", "b_", ",", "c_"}], "}"}], "\[RuleDelayed]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"b", "+", 
           FractionBox["a", "\[Mu]LinTry"]}], ",", 
          RowBox[{
           SuperscriptBox["10", "3"], "c"}]}], "}"}]}]}], ")"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"pl2", "=", 
     RowBox[{"ListPlot", "[", 
      RowBox[{"dat1D22", ",", 
       RowBox[{"AxesLabel", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}], ",", 
       RowBox[{"PlotStyle", "\[Rule]", 
        RowBox[{"Hue", "[", "0", "]"}]}], ",", 
       RowBox[{"PlotRange", "\[Rule]", "plRn"}]}], "]"}]}], ";", 
    "\[IndentingNewLine]", 
    RowBox[{"Show", "[", 
     RowBox[{"pl1", ",", "pl2"}], "]"}]}], "\[IndentingNewLine]", ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\[Mu]LinTry", ",", "33.885"}], "}"}], ",", "27", ",", "40"}], 
    "}"}]}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.49095062425*^9, 3.490950753796875*^9}, {
  3.4909507889375*^9, 3.490950827875*^9}, {3.49095092625*^9, 
  3.490950971515625*^9}, {3.490951016546875*^9, 3.49095103078125*^9}, {
  3.490951162640625*^9, 3.490951163828125*^9}, {3.49095126296875*^9, 
  3.49095129365625*^9}, {3.49095135421875*^9, 3.4909513846875*^9}}],

Cell[BoxData["\[IndentingNewLine]"], "Input",
 CellChangeTimes->{{3.490952100640625*^9, 3.490952159296875*^9}, 
   3.490952225109375*^9, 3.4909526665625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"dat1D", "=", 
   RowBox[{"Union", "[", 
    RowBox[{"dat1D11", ",", "dat1D22"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"model", "=", 
   RowBox[{"b", "*", 
    SuperscriptBox[
     RowBox[{"Abs", "[", 
      RowBox[{"(", 
       RowBox[{"Uefg", "+", "c"}], ")"}], "]"}], "d"]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"fit", "=", 
   RowBox[{"FindFit", "[", 
    RowBox[{"dat1D", ",", "model", ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c", ",", "d"}], "}"}], ",", "Uefg"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"regr", "=", 
   RowBox[{"model", "/.", "fit"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl3", "=", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"dat1D", ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"GrayLevel", "[", "0", "]"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "plRn"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"pl4", "=", 
   RowBox[{"Plot", "[", 
    RowBox[{"regr", ",", 
     RowBox[{"{", 
      RowBox[{"Uefg", ",", 
       RowBox[{"-", "2"}], ",", "3"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
     RowBox[{"PlotRange", "\[Rule]", "plRn"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"pl3", ",", "pl4"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.490952229171875*^9, 3.490952347140625*^9}, {
  3.49095237959375*^9, 3.490952479078125*^9}, {3.490952521*^9, 
  3.490952531765625*^9}, {3.49095262915625*^9, 3.490952702765625*^9}, {
  3.49095420953125*^9, 3.490954217765625*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"limitace", " ", "proudu", " ", "jen", " ", "naznacena"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Iamax", "=", "8"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tauIa", "=", ".1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"vyr", "[", "uefg_", "]"}], ":=", 
     RowBox[{
      RowBox[{"0.5", "*", 
       RowBox[{"(", 
        RowBox[{"1", "+", 
         RowBox[{"Sign", "[", 
          RowBox[{"uefg", "+", "c"}], "]"}]}], ")"}], "*", "b", "*", 
       SuperscriptBox[
        RowBox[{"Abs", "[", 
         RowBox[{"(", 
          RowBox[{"uefg", "+", "c"}], ")"}], "]"}], "d"]}], "/.", "fit"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"ia", "[", "uefg_", "]"}], ":=", 
     RowBox[{"Iamax", "*", 
      RowBox[{"Tanh", "[", 
       FractionBox[
        RowBox[{"vyr", "[", "uefg", "]"}], 
        RowBox[{"Iamax", "*", "tauIa"}]], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"pl5", "=", 
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"ia", "[", "Uefg", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"Uefg", ",", 
        RowBox[{"-", "5"}], ",", "12"}], "}"}], ",", 
      RowBox[{"AxesLabel", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"\"\<Uefg[V]\>\"", ",", "\"\<Ia[mA]\>\""}], "}"}]}], ",", 
      RowBox[{"PlotStyle", "\[Rule]", 
       RowBox[{"Hue", "[", "0.6", "]"}]}], ",", 
      RowBox[{"AxesOrigin", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"0", ",", 
         RowBox[{"-", ".1"}]}], "}"}]}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.49095402796875*^9, 3.4909541895*^9}, {
   3.49095422646875*^9, 3.490954259875*^9}, {3.490954308140625*^9, 
   3.490954312859375*^9}, {3.49095434321875*^9, 3.49095446234375*^9}, {
   3.490954612546875*^9, 3.490954635046875*^9}, {3.49095469115625*^9, 
   3.490954714421875*^9}, 3.490954981421875*^9, {3.49095502171875*^9, 
   3.49095503084375*^9}, 3.490955363078125*^9, {3.490955765171875*^9, 
   3.49095577334375*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"obvod", " ", "pokus"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Ucc", "=", "250"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Ra", "=", 
     RowBox[{"20", "*", 
      SuperscriptBox["10", "3"]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Rk", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ug", "=", 
     RowBox[{"uin", "-", 
      RowBox[{"Rk", "*", 
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]], 
       RowBox[{"ia", "[", "uefg", "]"}]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ua", "=", 
     RowBox[{"Ucc", "-", 
      RowBox[{
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]], 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"Ra", "*", 
          RowBox[{"ia", "[", "uefg", "]"}]}], "-", 
         RowBox[{"Rk", "*", 
          RowBox[{"ia", "[", "uefg", "]"}]}]}], ")"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"rce", "[", "uin_", "]"}], "=", 
     RowBox[{"uefg", "\[Equal]", 
      RowBox[{"ug", "+", 
       FractionBox["ua", "mi0"]}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"res1", "[", "uin_", "]"}], ":=", 
     RowBox[{"Ucc", "-", 
      RowBox[{
       SuperscriptBox["10", 
        RowBox[{"-", "3"}]], "Ra", "*", 
       RowBox[{"ia", "[", 
        RowBox[{"uefg", "/.", 
         RowBox[{"FindRoot", "[", 
          RowBox[{
           RowBox[{"rce", "[", "uin", "]"}], ",", 
           RowBox[{"{", 
            RowBox[{"uefg", ",", "0"}], "}"}]}], "]"}]}], "]"}]}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"datObv", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"uin", ",", 
         RowBox[{"res1", "[", "uin", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"uin", ",", 
         RowBox[{"-", "10"}], ",", ".5", ",", "0.05"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"out", "=", 
     RowBox[{"Interpolation", "[", "datObv", "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.490955046203125*^9, 3.490955330765625*^9}, {
  3.49095540840625*^9, 3.490955438375*^9}, {3.490955478828125*^9, 
  3.490955611953125*^9}, {3.490955655078125*^9, 3.490955746046875*^9}, {
  3.490955796578125*^9, 3.490956029875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Manipulate", "[", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Plot", "[", 
     RowBox[{
      RowBox[{"out", "[", 
       RowBox[{"predpeti", "+", 
        RowBox[{"amplituda", "*", 
         RowBox[{"Sin", "[", "t", "]"}]}]}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"t", ",", "0", ",", 
        RowBox[{"2", "Pi"}]}], "}"}], ",", 
      RowBox[{"PlotRange", "\[Rule]", 
       RowBox[{"{", 
        RowBox[{"Automatic", ",", 
         RowBox[{"{", 
          RowBox[{"88", ",", "252"}], "}"}]}], "}"}]}]}], "]"}], 
    "\[IndentingNewLine]", ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"predpeti", ",", 
        RowBox[{"-", "4"}]}], "}"}], ",", 
      RowBox[{"-", "10"}], ",", "0"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"amplituda", ",", "2"}], "}"}], ",", "0.05", ",", "3"}], 
     "}"}]}], "]"}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.490956036015625*^9, 3.490956281*^9}}]
},
WindowSize->{966, 750},
WindowMargins->{{18, Automatic}, {Automatic, 23}},
ShowSelection->True,
Magnification->1.3000000715255737`,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 461, 11, 61, "Input"],
Cell[1009, 33, 263, 7, 61, "Input"],
Cell[1275, 42, 3347, 103, 360, "Input"],
Cell[4625, 147, 994, 26, 127, "Input"],
Cell[5622, 175, 1596, 49, 185, "Input"],
Cell[7221, 226, 2534, 68, 313, "Input"],
Cell[9758, 296, 157, 2, 61, "Input"],
Cell[9918, 300, 1945, 54, 247, "Input"],
Cell[11866, 356, 2070, 55, 198, "Input"],
Cell[13939, 413, 2425, 72, 293, "Input"],
Cell[16367, 487, 1019, 30, 130, "Input"]
}
]
*)

(* End of internal cache information *)
